#
# spec file for package python3-nose-exclude
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-nose-exclude
Version:        0.4.1
Release:        3.1
Summary:        Exclude specific directories from nosetests runs
License:        LGPL-2.1+
Group:          Development/Languages/Python
Url:            https://bitbucket.org/kgrandis/nose-exclude/overview
Source0:        https://files.pythonhosted.org/packages/source/n/nose-exclude/nose-exclude-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
Requires:       python3-nose
BuildArch:      noarch

%description
nose-exclude is a Nose plugin that allows you to easily specify
directories to be excluded from testing.

%prep
%setup -q -n nose-exclude-%{version}

%build
python3 setup.py build

%check
python3 setup.py -q test

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Fri Sep 25 2015 p.drouand@gmail.com
- Initial release (version 0.4.1)
